@import url('https://fonts.googleapis.com/css?family=Montserrat:400,700|Ubuntu:400,700&display=swap');
* {
    box-sizing: border-box;
}
body {
    font-family: 'Montserrat', sans-serif;
    margin: 0;
}
/*-----------------Estilos base-----------------*/
img {
    display: block;
    width: 100%;
    max-width: 100%;
}
h1, h2 h3, h4, h5 h6 {
    margin: 0;
}
.container {
    width: 100%;
    margin: auto;
}
.container--flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}
.column {
    width: 100%;
}

/*-----------------Estilos header-----------------*/

.main-header {
    width: 100%;
}
.logo {
    font-size: 1.8em;
    color: rgb(58, 124, 222);
    padding: 10px;
    font-family: 'Ubuntu', sans-serif;
    font-weight: 100; /*grosor*/
}
.main-header__contactInfo__phone {
    background: rgb(58, 124, 222);
    color: white;
    margin: 0;
    padding: 10px;
}
.main-header__contactInfo__address {
    padding: 10px;
    margin: 0;
}
.main-header [class*="icon-"]:before {
    position: relative;
    top: 2px;
    right: 5px;
}

/*-----------------Estilos menú-----------------*/
.main-nav {
    width: 100%;
    position: relative;
    z-index: 2000;
    padding: 10px;
    
}
.icon-menu {
    display: block;
    color: white;
    border: 1px solid white;
    border-radius: 3px;
    width: 40px;
    height: 40px;
    line-height: 45px;
    text-align: center;
    cursor: pointer;
    font-size: 1.5em;
    
}

.social-icon {
    display: flex;
    justify-content: space-between;
    
}

.social-icon [class*="icon-"] {
    color: black;
    margin-left: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.3em;
    width: 35px;
    height: 35px;
    background: white;
    border-radius: 50%
}
.social-icon__link {
    text-decoration: none;
}
.menu {    
    position: absolute;
    top: 60px;
    left: 0;
    width: 100%;
    background: white;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
    height: 0;
    overflow: hidden;
    transition: height .3s linear;
}
.menu__link {
    display: block;
    padding: 15px;
    color: black;
    text-decoration: none;
    font-size: 0.8em;
}
.menu__link:hover {
    background: rgb(58, 124, 222);
    color: white;
}
.menu__link--select {
    background: rgb(58, 124, 222);
    color: white;    
}
.mostrar {
    height: 370px;
}

/*-----------------Estilos banner-----------------*/

.banner {
    margin-top: -55px;
    position: relative;
}
.banner:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    z-index: 1000;
    top: 0;
}
.banner__img {
    width: 100%;
    height: 500px;
    object-fit: cover;
}
.banner__content {
    width: 90%;
    color: white;
    text-align: center;
    position: absolute;
    z-index: 1500;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    font-size: 1.5em;
    font-weight: bold;
}

/*-----------------Estilos banner-----------------*/

.group--color .container {
    background: rgb(58, 124, 222);
    color: white;
    padding: 10px;
    text-align: center;
}
.group--color .qwerty {
    
    color: white;
    padding: 10px;
    text-align: center;
}

.main__title {
    margin: 15px 0;
    font-size: 1.8em;
    font-family: 'Ubuntu', sans-serif;
    font-weight: 100;
}

.column__title {
    font-size: 1.3em;
}

.main__about__description .column:nth-child(2) {
    padding: 10px;
}
.btn {
    display: block;
    text-align: center;
    text-decoration: none;
    width: 120px;
    background: #DE423A;
    color: white;
    padding: 10px;
    margin: 10px auto;
}
.group__title {
    font-family: 'Ubuntu', sans-serif;
    text-align: center;
    font-weight: 100;
    font-size: 1.8em;
    margin: 30px;
}

.today-special .column {
    margin-bottom: 30px;
    text-align: center;
}
.today-special__img {
    margin: auto;
    max-width: 350px;
}
.today-special__title {    
    font-size: 1.3em;
    padding-top: 10px;
    padding-bottom: 20px;
    color: rgb(58, 124, 222);
}
.today-special__title:hover{
    color: rgb(58, 124, 222);
}
.today-special__price {
    font-size: 1.0em; /*precio*/
    color: rgb(41, 37, 37);
    font-weight: bold;
}
.today-special__price:hover {
    font-size: 1.0em; /*precio*/
    color: rgb(41, 37, 37);
    font-weight: bold;
}

/*-----------------Estilos footer-----------------*/
.main-footer {
    background: #222;
    color: white;
    padding: 10px;
    padding-top: 20px;
    padding-bottom: 20px;
    font-size: .8em;
}
.copy {
    text-align: center;
    margin: auto;
    margin-top: 15px;
}

.main-footer [class*="icon-"] {
    color: white;
    text-decoration: none;
}

.main-footer [class*="icon-"]:before {
    position: relative;
    top: 3px;
    right: 5px;
}

/*-----------------Estilos responsive-----------------*/

@media screen and (min-width:480px) {
    .logo{
        color: white;
    }
    .main-header__contactInfo {
        text-align: right;        
    }    
    .main-header__contactInfo__phone {
        background: none;
    }
    .main-header__contactInfo__address {
        color: white;
    }    
    .main-nav {
        background: rgba(255, 255, 255, 0.85)
    }
    .banner {
        margin-top: -160px;
        z-index: -1000;
    }
    .banner__img {
        height: 600px;
    }
    .banner__content {
        font-size: 2em;
    }
    .column--50 {
        width: 49%;
    }
    .column--50-25 {
        width: 49%;
    }
    .column--33 {
        width: 32%;
    }
    .main {
        padding-bottom: 15px;
    }
    .main__about__description .column:nth-child(2) {
        padding-left: 20px;
        font-size: .9em;
    }
    .main__about__description .btn {
        margin: 0;
    }
    .today-special .column {
        border: 5px solid #ddd;
        padding: 5px;
    }
    .today-special__img {
        height: 200px;
        object-fit: cover;
    }
    .main-footer .container--flex{
        align-items: flex-start;
    }
    .icon-menu {
        color: white;
        background: rgb(58, 124, 222);        
    }
}

@media screen and (min-width:768px) {
    .main__title {
        font-size: 2.2em;
    }
    .main__about__description {
        margin-top: 30px;        
    }
    .main__about__description .column--50:nth-child(2) {
        font-size: 1em;
    }
    .main__about__description .column--50:nth-child(2) .column__txt {
        line-height: 30px;
    }
    .column--50-25 {
        width: 24.5%;
    }
    .column__title {
        font-size: 1em;
    }
    .group__title {
        font-size: 2.2em;
    }
    .icon-menu {
        color: white;
        background: rgb(58, 124, 222);        
    }
    
}

@media screen and (min-width:1024px) {
    .container {
        width: 1250px;
    }
    .logo {
        font-size: 2em;
        padding: 0;
    }
    .main-header__contactInfo__phone, .main-header__contactInfo__address {
        padding-right: 0;
        font-size: 1.15em;
    }
    .main-nav {
        padding: 0;
    }
    .banner__content {
        font-size: 2.5em;
    }
    .icon-menu {
        display: none;
    }
    .menu {
        position: static;
        display: flex;
        height: auto;
        width: auto;
    }
    .menu__link {
        padding: 20px;
    }
    .group--color .container {
        margin-top: 30px;
        margin-bottom: 30px;
        padding: 20px;
    }
    .main__title {
        font-size: 2.58em;
    }
    .main__about__description .column--50:nth-child(2) .column__txt {
        line-height: 45px;
    }
    .today-special__title {
        font-size: 1.4em;
    }
    .today-special__price {
        font-size: 1.0em;
    }
    .main-footer {
        padding-top: 30px;
        padding-bottom: 30px;
    }
}

@media screen and (min-width:1600px) {
    .container {
        width: 1400px;
    }
    .main__about__description .column:nth-child(1) img {
        width: 100%;
        height: 350px;
        object-fit: cover;
    }
    .today-special__img {
        height: 300px;
        
    }
}